﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using GcExcelAzureDemo.Models;
using System.IO;
using GrapeCity.Documents.Excel;

namespace GcExcelAzureDemo.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            // Create the 'Hello, World!' Excel document:
            var workbook = new Workbook();
            var worksheet = workbook.ActiveSheet;
            worksheet.Range["B2"].Value = "Hello, World!";

            // Save it to a memory stream:
            MemoryStream ms = new MemoryStream();
            workbook.Save(ms, SaveFileFormat.Xlsx);
            ms.Seek(0, SeekOrigin.Begin);

            // Send it back to the web page:
            Response.Headers["Content-Disposition"] = "inline; filename=\"HelloWorld.xlsx\"";
            return new FileStreamResult(ms, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
